Bug 26511 - [19.11] PatronSelfRegistrationConfirmEmail preference shows
Summary: [19.11] PatronSelfRegistrationConfirmEmail preference shows
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 19.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-22 20:57 UTC by Lucas Gass
Modified: 2020-10-03 18:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
19.11.11, 19.05.16


Attachments
Bug 26511: [19.11.x] Remove PatronSelfRegistrationConfirmEmail from opac.pref (1.32 KB, patch)
2020-09-22 21:05 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26511: [19.11.x] Remove PatronSelfRegistrationConfirmEmail from opac.pref (1.37 KB, patch)
2020-09-22 23:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 26511: [19.11.x] Remove PatronSelfRegistrationConfirmEmail from opac.pref (1.37 KB, patch)
2020-09-23 19:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-09-22 20:57:20 UTC
In 19.11 if you search for PatronSelfRegistrationConfirmEmail in system preferences you will find it. This new system preference was NOT backported to 19.11. 

This seems to be a rebasing error: 

http://git.koha-community.org/gitweb/?p=koha.git;a=commitdiff;h=083ce15dee7b7108a3103c2d4c90fca8df28230b;hp=7c0b9d9108b5e63d0c1ee6a6438f453fec136656


This should be removed from 19.11
Comment 1 Lucas Gass 2020-09-22 21:05:08 UTC
Created attachment 110573 [details] [review]
Bug 26511: [19.11.x] Remove PatronSelfRegistrationConfirmEmail from opac.pref

Test plan:
1. In 19.11 search for PatronSelfRegistrationConfirmEmail and you'll see the sys pref
2. Apply patch
3. System pref should be gone
Comment 2 David Nind 2020-09-22 23:39:21 UTC
Created attachment 110574 [details] [review]
Bug 26511: [19.11.x] Remove PatronSelfRegistrationConfirmEmail from opac.pref

Test plan:
1. In 19.11 search for PatronSelfRegistrationConfirmEmail and you'll see the sys pref
2. Apply patch
3. System pref should be gone

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-09-23 19:30:16 UTC
Created attachment 110619 [details] [review]
Bug 26511: [19.11.x] Remove PatronSelfRegistrationConfirmEmail from opac.pref

Test plan:
1. In 19.11 search for PatronSelfRegistrationConfirmEmail and you'll see the sys pref
2. Apply patch
3. System pref should be gone

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Aleisha Amohia 2020-09-24 03:49:57 UTC
thanks for catching this one Lucas.

pushed to oldstable 19.11.x for 19.11.11
Comment 5 Victor Grousset/tuxayo 2020-10-03 18:24:26 UTC
Also affects 19.05.x
Comment 6 Victor Grousset/tuxayo 2020-10-03 18:27:34 UTC
Backported to 19.05.x branch for 19.05.16